Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Warty Backport: Updated Firefox 1.0

  1. #1
    Join Date
    Oct 2004
    Location
    Cupertino, CA
    Beans
    5,092
    Distro
    Ubuntu 10.04 Lucid Lynx

    Warty Backport: Updated Firefox 1.0

    Synopsis
    Though not providing a fix for the IDN spoofing bug, this new Firefox does include many, many bugfixes. It's about time we replaced that backport from early Hoary...

    Note that mozilla-firefox-gnome-support literally turns Firefox into a GNOME browser. That is, GNOME dialogs (Open, Save), GNOME Icons (which some may find disgusting.). Theme it yourself -- that's the flexibility of Firefox.

    This is designed as an interim release...

    Backporting Process
    The source archive directly came from Hoary. I was able to meet all dependencies.

    Packaging Status:
    i386 -- Staging at revision
    amd64 -- Not packaged
    ppc -- Not packaged

    Beta tester notes:

    Deps

    Code:
    jdong@omega:~ $ sudo apt-get install mozilla-firefox mozilla-firefox-gnome-support -s
    sudo: unable to lookup omega via gethostbyname()
    postdrop: warning: unable to look up public/pickup: No such file or directory
    Reading Package Lists... Done
    Building Dependency Tree... Done
    Suggested packages:
      latex-xft-fonts xprt-xprintorg
    The following NEW packages will be installed:
      mozilla-firefox mozilla-firefox-gnome-support
    0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
    Inst mozilla-firefox (1.0.0+dfsg.1-6ubuntu1~4.10ubp1 Ubuntu Backports Project:warty-backports-staging)
    Inst mozilla-firefox-gnome-support (1.0.0+dfsg.1-6ubuntu1~4.10ubp1 Ubuntu Backports Project:warty-backports-staging)
    Conf mozilla-firefox (1.0.0+dfsg.1-6ubuntu1~4.10ubp1 Ubuntu Backports Project:warty-backports-staging)
    Conf mozilla-firefox-gnome-support (1.0.0+dfsg.1-6ubuntu1~4.10ubp1 Ubuntu Backports Project:warty-backports-staging)
    All resolve.
    Last edited by jdong; February 26th, 2005 at 11:21 PM.
    Quote Originally Posted by tuxradar
    Linux's audio architecture is more like the layers of the Earth's crust than the network model, with lower levels occasionally erupting on to the surface, causing confusion and distress, and upper layers moving to displace the underlying technology that was originally hidden

  2. #2
    Join Date
    Oct 2004
    Location
    Cupertino, CA
    Beans
    5,092
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Warty Backport: Updated Firefox 1.0

    Terribly sorry, my ISP has been absolutely CRAPPY recently. I'll re-commit now.
    Quote Originally Posted by tuxradar
    Linux's audio architecture is more like the layers of the Earth's crust than the network model, with lower levels occasionally erupting on to the surface, causing confusion and distress, and upper layers moving to displace the underlying technology that was originally hidden

  3. #3
    Join Date
    Jan 2005
    Location
    Karlsruhe
    Beans
    201
    Distro
    Ubuntu 6.06

    Re: Warty Backport: Updated Firefox 1.0

    O.k. That explains why my firefox was dying a few moments ago

  4. #4
    Join Date
    Dec 2004
    Location
    Utah, USA
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Warty Backport: Updated Firefox 1.0

    I'm getting he following errors from the new package.

    dbasinge@bubbahotep:/etc/apt $ sudo apt-get install mozilla-firefox mozilla-firefox-gnome-support
    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following packages will be upgraded:
    mozilla-firefox mozilla-firefox-gnome-support
    2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 0B/9414kB of archives.
    After unpacking 1284kB disk space will be freed.

    Preconfiguring packages ...
    (Reading database ... 117814 files and directories currently installed.)
    Preparing to replace mozilla-firefox-gnome-support 1.0-2ubuntu4-warty99 (using .../mozilla-firefox-gnome-support_1.0.0+dfsg.1-6ubuntu1~4.10ubp1_i386.deb) ...
    Unpacking replacement mozilla-firefox-gnome-support ...
    Preparing to replace mozilla-firefox 1.0-2ubuntu4-warty99 (using .../mozilla-firefox_1.0.0+dfsg.1-6ubuntu1~4.10ubp1_i386.deb) ...
    Unpacking replacement mozilla-firefox ...
    Setting up mozilla-firefox (1.0.0+dfsg.1-6ubuntu1~4.10ubp1) ...
    Installing new version of config file /etc/mozilla-firefox/pref/firefox.js ...
    Updating mozilla-firefox chrome registry...E: /usr/lib/mozilla-firefox/extensions/installed-extensions.txt still present. Registration might have gone wrong.
    mv: cannot stat `/usr/lib/mozilla-firefox/defaults.ini': No such file or directory
    dpkg: error processing mozilla-firefox (--configure):
    subprocess post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of mozilla-firefox-gnome-support:
    mozilla-firefox-gnome-support depends on mozilla-firefox (= 1.0.0+dfsg.1-6ubuntu1~4.10ubp1); however:
    Package mozilla-firefox is not configured yet.
    dpkg: error processing mozilla-firefox-gnome-support (--configure):
    dependency problems - leaving unconfigured
    Errors were encountered while processing:
    mozilla-firefox
    mozilla-firefox-gnome-support
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Mike: "The hardest questions in life are the ones worth answering"
    E-Mail | Blog | Gmail | technoviking on irc.freenode.net, identi.ca , and Twitter

  5. #5
    Join Date
    Feb 2005
    Location
    Melbourne, Australia
    Beans
    13,509
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Warty Backport: Updated Firefox 1.0

    Quote Originally Posted by Mike Basinger
    I'm getting he following errors from the new package.
    ......./usr/lib/mozilla-firefox/extensions/installed-extensions.txt still present. Registration might have gone wrong.
    mv: cannot stat `/usr/lib/mozilla-firefox/defaults.ini': No such file or directory
    .......
    I had the same problem.

    I have the 1.0-2ubuntu4-warty99 installed (and had to roll back to that version), and that version installs successfully.
    Regards, David.
    Please use the Forum search and Wiki search for immediate help
    Please mark your thread as Solved when appropriate
    New to technical forums?: How To Ask Questions The Smart Way

  6. #6
    Join Date
    Oct 2004
    Location
    Cupertino, CA
    Beans
    5,092
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Warty Backport: Updated Firefox 1.0

    Remove mozilla-firefox with apt-get remove --purge mozilla-firefox mozilla-firefox-gnome-support

    Then,

    sudo rm -rf /usr/lib/mozilla-firefox
    sudo rm -rf /etc/mozilla-firefox


    then,

    apt-get install mozilla-firefox mozilla-firefox-gnome-support



    You will _NOT_ lose any personal settings.
    Quote Originally Posted by tuxradar
    Linux's audio architecture is more like the layers of the Earth's crust than the network model, with lower levels occasionally erupting on to the surface, causing confusion and distress, and upper layers moving to displace the underlying technology that was originally hidden

  7. #7
    Join Date
    Jan 2005
    Location
    Karlsruhe
    Beans
    201
    Distro
    Ubuntu 6.06

    Re: Warty Backport: Updated Firefox 1.0

    Does that fix problems with locale-versions, too?

  8. #8
    Join Date
    Feb 2005
    Location
    Melbourne, Australia
    Beans
    13,509
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Warty Backport: Updated Firefox 1.0

    Quote Originally Posted by jdong
    Remove mozilla-firefox with apt-get remove --purge mozilla-firefox mozilla-firefox-gnome-support

    Then,

    sudo rm -rf /usr/lib/mozilla-firefox
    sudo rm -rf /etc/mozilla-firefox

    then,

    apt-get install mozilla-firefox mozilla-firefox-gnome-support

    You will _NOT_ lose any personal settings.
    Did all of that and it seems to install (and work) ok.

    All options and Plugins (bar Spellbound, which needs a re-install) still seem to be there, thanks!
    Last edited by dcstar; March 1st, 2005 at 01:07 AM.
    Regards, David.
    Please use the Forum search and Wiki search for immediate help
    Please mark your thread as Solved when appropriate
    New to technical forums?: How To Ask Questions The Smart Way

  9. #9
    Join Date
    Oct 2004
    Location
    Cupertino, CA
    Beans
    5,092
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Warty Backport: Updated Firefox 1.0

    Quote Originally Posted by ember
    Does that fix problems with locale-versions, too?
    The already marked stable mozilla-firefox-locale-* should still work. If not, let me know.
    Quote Originally Posted by tuxradar
    Linux's audio architecture is more like the layers of the Earth's crust than the network model, with lower levels occasionally erupting on to the surface, causing confusion and distress, and upper layers moving to displace the underlying technology that was originally hidden

  10. #10
    Join Date
    Jan 2005
    Location
    Karlsruhe
    Beans
    201
    Distro
    Ubuntu 6.06

    Re: Warty Backport: Updated Firefox 1.0

    Well it doesn't work, yet it does ... if I try to install mozilla-firefox-locale-de I get:

    Die folgenden Pakete haben nichterfüllte Abhängigkeiten:
    mozilla-firefox-locale-de: Kollidiert: mozilla-firefox (>= 1.0.0) aber 1.0.0+dfsg.1-6ubuntu1~4.10ubp1 soll instal liert werden
    E: Kaputte Pakete

    Yet I do have a german firefox, maybe because I installed the language pack seperately before.

    Anyway it seems dependencies are broken for ff-locales.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •